import { SimpleLocalIntegration } from '../../core/index.js';
import { EcoforestConfigFlow } from './ecoforest.classes.configflow.js';
import { createEcoforestDiscoveryDescriptor } from './ecoforest.discovery.js';
import type { IEcoforestConfig } from './ecoforest.types.js';
import { ecoforestDomain, ecoforestProfile } from './ecoforest.types.js';

export class EcoforestIntegration extends SimpleLocalIntegration<IEcoforestConfig> {
  public readonly domain = ecoforestDomain;
  public readonly discoveryDescriptor = createEcoforestDiscoveryDescriptor();
  public readonly configFlow = new EcoforestConfigFlow();

  constructor() {
    super(ecoforestProfile);
  }
}

export class HomeAssistantEcoforestIntegration extends EcoforestIntegration {}
